> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Notifications



## OpenAPI

````yaml /openapi.json get /customers/me/notifications
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /customers/me/notifications:
    get:
      tags:
        - Customers
      summary: List Customer Notifications
      operationId: list_customer_notifications_customers_me_notifications_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            default: 20
            title: Page Size
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Type
        - name: unread_only
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Unread Only
        - name: login
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Login
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NotificationListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NotificationResponse'
          type: array
          title: Items
        unread_count:
          type: integer
          title: Unread Count
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
      type: object
      required:
        - items
        - unread_count
        - page
        - page_size
      title: NotificationListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NotificationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        type:
          type: string
          title: Type
        title:
          type: string
          title: Title
        body:
          anyOf:
            - type: string
            - type: 'null'
          title: Body
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
        is_read:
          type: boolean
          title: Is Read
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - type
        - title
        - body
        - data
        - is_read
        - created_at
      title: NotificationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````